package com.cftech.core.sql;

import com.cftech.core.scope.CondType;
import com.cftech.core.scope.LinkType;

import java.util.List;


public class OrCond extends Cond {
    private String param;
    private List<Cond> value;

    public OrCond(LinkType linkType, String param, List<Cond> value) {
        super(CondType.OR, linkType);
        this.param = param;
        this.value = value;
    }

    public String getParam() {
        return param;
    }

    public List<Cond> getValue() {
        return value;
    }
}
